{{ attach_library('growhappytheme/lct-stresstest-history') }}
{% include directory ~ '/templates/includes/stresstest/svg.html.twig' %}
{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}
<main role="main" style="margin-top: 0;">
	{{ page.breadcrumb }}
	<a id="main-content" tabindex="-1"></a>
	{# link is in html.html.twig #}
	<div class="lct__stress_test d-flex flex-column d-xl-block">
        <!-- <div class="history-header"></div> -->
        <div class="history-content">
            <div>
                <div class="history-content--summary py-3 py-md-4">
                    <div class="container">
                        <div class="row d-lg-flex align-items-center">
                            <div class="col-lg-6">
                                <div class="profile-summary">
                                    <div class="row d-flex align-items-center">
                                        <div class="col-6">
                                            <div class="profile-summary--wrapper">
                                                <p>Riwayat Stress Test</p>
                                                <h1>{{anak.nama_anak}}</h1>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="dropdown month-list">
                                                <button class="btn btn-rounded dropdown-toggle d-flex align-items-center justify-content-between" data-redirect-to="{{ url('<front>') }}stress-test/profile/history" type="button" id="month-active" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <span>{{ bulan }}</span>
                                                    <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-arrow-down"></use></svg>
                                                </button>
                                                <div class="dropdown-menu" aria-labelledby="month-active">
                                                    <button class="dropdown-item month-inactive" type="button" data-value="1">Januari</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="2">Februari</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="3">Maret</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="4">April</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="5">Mei</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="6">Juni</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="7">Juli</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="8">Agustus</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="9">September</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="10">Oktober</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="11">November</button>
                                                    <button class="dropdown-item month-inactive" type="button" data-value="12">December</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="result-summary mt-3 mt-lg-0">
                                    <h4>Hasil Stress Test</h4>

                                    <div class="row d-flex align-items-center text-center">
                                        <div class="col-6">
                                            <p>{{wajar_count}}</p>
                                            <p>TERGOLONG WAJAR</p>
                                        </div>

                                        <div class="col-6">
                                            <p>{{meningkat_count}}</p>
                                            <p>MENINGKAT</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="history-content--data">
                    {% for history in list_history %}
                    <div class="data-result-row" data-age="{{ history.umur }}" data-normal>
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-2">
                                    <p class="date mb-md-0">{{ history.tanggal }}</p>
                                </div>
                                <div class="col-md-10">
                                    <div class="row align-items-start align-items-md-center">
                                        <div class="col-10">
                                            <div class="score-bar--wrapper">
                                                <div class="progress--wrapper">
                                                    <div class="progress" style="height: 24px;">
                                                        <div class="progress-bar score-bar" role="progressbar" style="width: 0%;" aria-valuenow="{{ history.nilai }}" aria-valuemin="0" aria-valuemax=""></div>
                                                        <span class="progress-icon">
                                                            <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href=""></use></svg>
                                                        </span>
                                                    </div>
                                                    <span class="indicator d-block position-absolute">
                                                        <!-- <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-bar"></use></svg> -->
                                                    </span>
                                                </div>

                                                <div class="progress-label">
                                                    <div class="d-flex align-items-center">
                                                        <div class="progress-label-col label-normal">
                                                            <p class="mb-0">WAJAR</p>
                                                        </div>
                                                        <div class="progress-label-col label-alert">
                                                            <p class="mb-0">WASPADA</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 d-flex justify-content-end">
                                            <div class="stress-level">
                                                <p>{{ history.nilai }}</p>
                                                <p>STRESS LEVEL</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    {% endfor %}

                    {# <div class="data-result-row" data-age="4-5" data-normal>
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-2">
                                    <p class="date mb-md-0">05/11/20</p>
                                </div>
                                <div class="col-md-10">
                                    <div class="row align-items-start align-items-md-center">
                                        <div class="col-10">
                                            <div class="score-bar--wrapper">
                                                <div class="progress--wrapper">
                                                    <div class="progress" style="height: 24px;">
                                                        <div class="progress-bar score-bar" role="progressbar" style="width: 0%;" aria-valuenow="11" aria-valuemin="0" aria-valuemax=""></div>
                                                        <span class="progress-icon">
                                                            <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href=""></use></svg>
                                                        </span>
                                                    </div>
                                                    <span class="indicator d-block position-absolute">
                                                        <!-- <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-bar"></use></svg> -->
                                                    </span>
                                                </div>

                                                <div class="progress-label">
                                                    <div class="d-flex align-items-center">
                                                        <div class="progress-label-col label-normal">
                                                            <p class="mb-0">WAJAR</p>
                                                        </div>
                                                        <div class="progress-label-col label-alert">
                                                            <p class="mb-0">WASPADA</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 d-flex justify-content-end">
                                            <div class="stress-level">
                                                <p>8</p>
                                                <p>STRESS LEVEL</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="data-result-row" data-age="4-5" data-normal>
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-2">
                                    <p class="date mb-md-0">05/11/20</p>
                                </div>
                                <div class="col-md-10">
                                    <div class="row align-items-start align-items-md-center">
                                        <div class="col-10">
                                            <div class="score-bar--wrapper">
                                                <div class="progress--wrapper">
                                                    <div class="progress" style="height: 24px;">
                                                        <div class="progress-bar score-bar" role="progressbar" style="width: 0%;" aria-valuenow="7" aria-valuemin="0" aria-valuemax=""></div>
                                                        <span class="progress-icon">
                                                            <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href=""></use></svg>
                                                        </span>
                                                    </div>
                                                    <span class="indicator d-block position-absolute">
                                                        <!-- <svg><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-bar"></use></svg> -->
                                                    </span>
                                                </div>

                                                <div class="progress-label">
                                                    <div class="d-flex align-items-center">
                                                        <div class="progress-label-col label-normal">
                                                            <p class="mb-0">WAJAR</p>
                                                        </div>
                                                        <div class="progress-label-col label-alert">
                                                            <p class="mb-0">WASPADA</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-2 d-flex justify-content-end">
                                            <div class="stress-level">
                                                <p>8</p>
                                                <p>STRESS LEVEL</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> #}
                </div>
            </div>
        </div>
        <div class="history-footer">
            <div class="button--wrapper d-flex align-items-center justify-content-around justify-content-lg-center h-100">
                <a href="{{ url('<front>') }}stress-test/profile" class="btn btn-transparent">Kembali</a>
                {# <button type="button" class="btn btn-primary btn-rounded">Tes Ulang</button> #}
                <a href="{{ url('<front>') }}stress-test/quiz" class="btn btn-primary btn-rounded">Tes Ulang</a>
            </div>
        </div>
    </div>
	{# /.layout-content #}
</main>
{% if page.footer %}
	<footer id="primary-footer">
		{% include directory ~ '/templates/includes/_foot_ghc.html.twig' %}
	</footer>
{% else %}
	{% include directory ~ '/templates/includes/_foot.html.twig' %}
{% endif %}
